

//获取跟目录
function getRootPath(){
    return window.document.location.href.substring(
    		0,window.document.location.href.indexOf(
    		window.document.location.pathname));
}

//跟目录全局变量
var rootPath = getRootPath();
//当前目录前缀
var currPath = "/claimserver/management/pubAmount/";

//查询
function query(){
	$("#context").empty();
	
	var policyNo = $("#policyno").val();
	var pid = $("#pid").val();
	
	$("#policy-no").val(policyNo);
	$("#person-id").val(pid);
	
	if(policyNo==""||pid==""){
		alert("保单号和被保人证件号必填");
		return;
	}
	
	$.ajax({
		type:"POST",
		url:rootPath+currPath+"query.do",
		data:{"policyNo":policyNo,"pid":pid},
		async:true,
		error:function(){
			alert("查询出错！");
		},
		success:function(data){
			if(data.appno==""||data.appno==null){
				alert("没有匹配的信息！");
				return;
			}
			//团体保单信息/被保人信息
			$("#appno").html(data.appno);                   //团体保单号
			$("#sappname").html(data.sappname);             //投保单位名称
			$("#surpTotal").html(data.surpTotal);           //公共保额剩余总额度
			$("#surpOrdTotal").html(data.surpOrdTotal);     //公共保额剩余普通总额度
			$("#surpSpecTotal").html(data.surpSpecTotal);   //公共保额剩余特殊总额度
			$("#insuredName").html(data.insuredName);       //姓名
			$("#sex").html(data.sex);                       //性别
			$("#idType").html(data.idType);                 //证件类型
			$("#ps-id").html(data.pid);                       //证件号码
			$("#phone").html(data.phone);                   //移动电话
			$("#telephone").html(data.telephone);           //固定电话
			$("#address").html(data.address);               //联系地址
			$("#postCode").html(data.postCode);             //邮政编码
			$("#email").html(data.email);                   //邮箱地址
			
			$("#surpTotal").attr("originally",data.surpTotal);
			$("#surpOrdTotal").attr("originally",data.surpOrdTotal);   //公共保额剩余普通总额度
			$("#surpSpecTotal").attr("originally",data.surpSpecTotal);   //公共保额剩余特殊总额度
			
			
			$("#newtr .newtr-stopdate:eq(0)").html(data.stopdate);
			$("#newtr .newtr-surp:eq(0)").html(data.surpOrdTotal);
			$("#newtr .newtr-surp:eq(0)").attr("originally",data.surpOrdTotal);
			//公共保额个人授权信息
			var aus = data.authorizedList;
			
			for ( var i = 0; i < aus.length; i++) {
				var xstr = "";
				if(aus[i].authorizedMemo!=null) xstr = aus[i].authorizedMemo;
				$("#context").append("<tr class=\"append\">" +
							"<td>"+aus[i].authorizedNo+"</td>" +
							"<td code="+aus[i].authorizedType+">"+aus[i].typeStr+"</td>" +
							"<td>"+aus[i].authorizedAmt+"</td>" +
							"<td>"+aus[i].begdate+"</td>" +
							"<td>"+aus[i].stopdate+"</td>" +
							"<td originally=\""+aus[i].remindAuthredAmt+"\" >"+aus[i].remindAuthredAmt+"</td>" +
							"<td><input type=\"text\" class=\"input i_s_100\" value=\""+xstr+"\" /></td>" +
						  "</tr>");
			}
		}
	});
}



//添加
function add(){
	
	if($("#context tr").is(".newtr")){
		alert("一次只能新增一条！");
		return;
	}
	
	var surpTotal = $("#surpTotal").html();
	if(surpTotal == "" || surpTotal == null || surpTotal == undefined){
		alert("请先查询");
		return;
	}
	if(surpTotal == 0){
		alert("该保单无公共保额责任！");
		return;
	}
//	var ordAmts = new Array();      // 普通授权额度
//	var specAmts = new Array();     // 特殊授权额度
//	$("#context").find("tr").each(function(){
//		var authorizedType = "";
//	if($(this).is(".append")){
//		authorizedType = $(this).find("td:eq(1)").attr("code");     // 授权类型
//		var ramt = parseFloat($(this).find("td:eq(5)").html());
//		if(authorizedType == "01") ordAmts.push(isNaN(ramt)?0:ramt);    // 普通授权额度
//		if(authorizedType == "02") specAmts.push(isNaN(ramt)?0:ramt);   // 特殊授权额度
//	}
//	if($(this).is(".newtr")){
//		authorizedType = $(this).find(".aut:eq(0)").attr("code");   // 授权类型
//		var ramt = parseFloat($(this).find("td:eq(5)").html());
//		if(authorizedType == "01") ordAmts.push(isNaN(ramt)?0:ramt);    // 普通授权额度
//		if(authorizedType == "02") specAmts.push(isNaN(ramt)?0:ramt);   // 特殊授权额度
//	}
//	});
//	
	var minOrdAmt = $("#surpOrdTotal").html();
////	var minSpecAmt = 0;
//	if(ordAmts.length>0) minOrdAmt = Math.min.apply(Math, ordAmts);
////	if(specAmts.length>0) minSpecAmt = Math.min.apply(Math, specAmts);
	
//	if($("#context tr").length>0)
//	minOrdAmt = $("#context tr:eq(0) td:eq(5)").html();
	
	
	$("#newtr .newtr-surp:eq(0)").html(minOrdAmt);
	$("#newtr .newtr-surp:eq(0)").attr("originally",minOrdAmt);
	
	$("#context").append($("#newtr tr").clone(true));
	
}


//剩余授权额度联动
function surpController(obj){
	
	$(obj).parent().parent().parent().parent().parent().find("td:eq(2) input:eq(0)").val("");
	
	if ($("#context tr").length>0){
		var ordAmts = new Array();      // 普通授权额度
		var specAmts = new Array();   // 特殊授权额度
		$("#context").find("tr").each(function(){
			var authorizedType = "";
		if($(this).is(".append")){
			authorizedType = $(this).find("td:eq(1)").attr("code");     // 授权类型
			var ramt = parseFloat($(this).find("td:eq(5)").html());
			if(authorizedType == "01") ordAmts.push(isNaN(ramt)?0:ramt);    // 普通授权额度
			if(authorizedType == "02") specAmts.push(isNaN(ramt)?0:ramt);  // 特殊授权额度
		}
		if($(this).is(".newtr")){
			authorizedType = $(this).find(".aut:eq(0)").attr("code");   // 授权类型
			var ramt = parseFloat($(this).find("td:eq(5)").html());
			if(authorizedType == "01") ordAmts.push(isNaN(ramt)?0:ramt);    // 普通授权额度
			if(authorizedType == "02") specAmts.push(isNaN(ramt)?0:ramt);  // 特殊授权额度
		}
		});
		
//		var minOrdAmt = 0;
//		var minSpecAmt = 0;
//		if(ordAmts.length > 0) minOrdAmt = Math.min.apply(Math, ordAmts);
//		if(specAmts.length > 0) minSpecAmt = Math.min.apply(Math, specAmts);
		
//		if(ordAmts.length == 0) minOrdAmt = $("#surpOrdTotal").html();
//		if(specAmts.length == 0) minSpecAmt = $("#surpSpecTotal").html(); 
		
		var minOrdAmt = $("#surpOrdTotal").html();
		var minSpecAmt = $("#surpSpecTotal").html(); 
		
		var t = $(obj).attr("code");
		if(t=="01") {
			$($(obj).parent().parent().parent().parent().parent().find("td:eq(5)")).html(minOrdAmt);
			$($(obj).parent().parent().parent().parent().parent().find("td:eq(5)")).attr("originally",minOrdAmt);
		}
		
		if(t=="02") {
			$($(obj).parent().parent().parent().parent().parent().find("td:eq(5)")).html(minSpecAmt);
			$($(obj).parent().parent().parent().parent().parent().find("td:eq(5)")).attr("originally",minSpecAmt);
		}
	}else{
		var t = $(obj).attr("code");
		if(t=="01") {
			$($(obj).parent().parent().parent().parent().parent().find("td:eq(5)")).html($("#surpOrdTotal").html());
			$($(obj).parent().parent().parent().parent().parent().find("td:eq(5)")).attr("originally",$("#surpOrdTotal").html());
		}
		
		if(t=="02") {
			$($(obj).parent().parent().parent().parent().parent().find("td:eq(5)")).html($("#surpSpecTotal").html());
			$($(obj).parent().parent().parent().parent().parent().find("td:eq(5)")).attr("originally",$("#surpSpecTotal").html());
		}
	}
	
}

var ssaa = false;

//保存
function save(){
	//验证是否有标红的项
	if($("#context tr").is(".red-symbol")){
		alert("请注意标红部分！");
		return;
	}
	
	var pd = false;
	
	var surpOrdTotal = $("#surpOrdTotal").html();  //公共保额剩余普通总额度  
	
	var surpSpecTotal = $("#surpSpecTotal").html();  //公共保额剩余特殊总额度
	
	$("#context").find("tr").each(function(){
		
		var ordAuAmt = 0;     // 普通授权额度
		var specAuAmt = 0;    // 特殊授权额度
		if($(this).is(".newtr")){
			var authorizedType = $(this).find(".aut:eq(0)").attr("code");      //授权类型
			if(authorizedType=="01"){
				var auAmt = $(this).find("td:eq(2) input:eq(0)").val();       //授权额度
				ordAuAmt =  parseFloat(ordAuAmt)+ parseFloat(auAmt);
			}
			
			if(authorizedType=="02"){
				var auAmt = $(this).find("td:eq(2) input:eq(0)").val();       //授权额度
				specAuAmt =  parseFloat(specAuAmt)+ parseFloat(auAmt);
			}
			
			if(parseFloat(ordAuAmt)>parseFloat(surpOrdTotal)) {
				alert("授权额度大于公共保额剩余普通总额度！");
				pd = true;
				return false;
			}
			
			if(parseFloat(specAuAmt)>parseFloat(surpSpecTotal)) {
				alert("授权额度大于公共保额剩余特殊总额度！"); 
				pd = true;
				return false;
			}
		}
	});
	
	if(pd) return;
	
	var aus = new Array();
	var b = false;
	
	$("#context").find(".newtr").each(function(){
		var authorizedNo       =  $(this).find("td:eq(0)").html();      //授权号
		var authorizedType     =  $(this).find(".aut:eq(0)").attr("code");    //授权类型
		var authorizedAmt      =  $(this).find("td:eq(2) input:eq(0)").val();       //授权额度
		var authorizedBegdate  =  $(this).find("td:eq(3)").html();      //授权日期
		var authorizedStopdate =  $(this).find("td:eq(4)").html();       //授权终止日期
		var remindAuthredAmt   =  $(this).find("td:eq(5)").html();   	//剩余授权额度
		var authorizedMemo     =  $(this).find("td:eq(6) input:eq(0)").val();     	//修改原因
		
//		if($(this).is(".newtr")){
//			var authorizedNo       =  $(this).find("td:eq(0)").html();      //授权号
//			var authorizedType     =  $(this).find(".aut:eq(0)").attr("code");    //授权类型
//			var authorizedAmt      =  $(this).find("td:eq(2)").html();       //授权额度
//			var authorizedBegdate  =  $(this).find("td:eq(3)").html();      //授权日期
//			var authorizedStopdate =  $(this).find("td:eq(4)").html();       //授权终止日期
//			var remindAuthredAmt   =  $(this).find("td:eq(5)").html();   	//剩余授权额度
//			var authorizedMemo     =  $(this).find("td:eq(6) input:eq(0)").val();     	//修改原因
//			
//		}
		
		if (parseFloat(authorizedAmt) < 0 && authorizedMemo == "") {
			alert("修改原因不能为空！");
			return false;
		} 
		
		if(isNaN(remindAuthredAmt)) remindAuthredAmt = 0;
		
		if(authorizedAmt==""){
			alert("授权额度不能为空");
			b = true;
			return false;
		}
		
//		if(authorizedStopdate!=""){
//			if(authorizedStopdate<authorizedBegdate){
//				alert("授权终止日期不能早于授权日期");
//				b = true;
//				return false;
//			}
//		}else{
//			alert("授权终止日期不能为空");
//			b = true;
//			return false;
//		}
		if($(this).is(".append")){
			if($(this).is(".xg")){
				if(authorizedMemo==""){
					alert("修改原因不能为空");
					b = true;
					return false;
				}
			}
			
			if(strlength(authorizedMemo)>400){
				alert("修改原因长度不能超过200个汉字");
				b = true;
				return false;
			}
		}
		
		var au = new Object();
		au.authorizedNo       = authorizedNo;
		au.policyNo			  = $("#policy-no").val();
		au.mgpolicyno		  = $("#appno").html();
		au.pid				  = $("#person-id").val();
		au.authorizedType     = authorizedType;
		au.authorizedAmt      = authorizedAmt;
		au.authorizedBegdate  = authorizedBegdate;
		au.authorizedStopdate = authorizedStopdate;
		au.remindAuthredAmt   = remindAuthredAmt;
		au.authorizedMemo     = authorizedMemo;
		
		aus.push(au);
		
	});
	
	if(aus.length==0){
		return;
	}
	
	if(b){
		return;
	}
	
	$.ajax({
		type:"POST",
		url:"save.do",
		data:JSON.stringify(aus),
		contentType:"application/json; charset=UTF-8",
		error:function(){
			alert("保存失败！");
		},
		success:function(data){
			alert("保存成功！");
			saveQuery();
		}
	});
}

function validationNewTrAmt(obj){
	var ipt = $(obj); 
	
//	var ori = $(ipt).attr("originally");
//	if(ori == undefined || ori == "" || ori == null){
		$(ipt).attr("originally",$(ipt).val());
//	}
	
	
//	var currentTr = ipt.parent().parent();
	
//	var currentIndex = currentTr.index();
//	var currentType = $(currentTr).find("td:eq(1)").attr("code");  //当前类型
//	if(currentType == undefined||currentType==""||currentType==null)
//		currentType = $(currentTr).find(".aut:eq(0)").attr("code");   // 授权类型
	
//	var ordAmt = 0;   //授权额度
//	var specAmt = 0;
//	var remindAuthredAmtTd = ipt.parent().parent().children("td:eq(5)");  //剩余授权额度td
//	$("#context").find("tr").each(function(){
//		var authorizedType = "";
//	if($(this).is(".append")){
//		authorizedType = $(this).find("td:eq(1)").attr("code");     // 授权类型
//		var ramt = parseFloat($(this).find("td:eq(2) input:eq(0)").val());
//		if(authorizedType == "01") ordAmt += (isNaN(ramt)?0:ramt);    // 普通授权额度
//		if(authorizedType == "02") specAmt += (isNaN(ramt)?0:ramt);   // 特殊授权额度
//	}
//	if($(this).is(".newtr")){
//		authorizedType = $(this).find(".aut:eq(0)").attr("code");   // 授权类型
//		var ramt = parseFloat($(this).find("td:eq(2) input:eq(0)").val());
//		if(authorizedType == "01") ordAmt += (isNaN(ramt)?0:ramt);    // 普通授权额度
//		if(authorizedType == "02") specAmt += (isNaN(ramt)?0:ramt);   // 特殊授权额度
//	}
//	});
	
	
	
//	var autype = ipt.parent().parent().find(".aut:eq(0)").attr("code");
//	
//	if(autype == "01")
//	remindAuthredAmtTd.html(parseFloat($("#surpOrdTotal").html())-parseFloat(ordAmt));
//	
//	if(autype == "02")
//	remindAuthredAmtTd.html(parseFloat($("#surpOrdTotal").html())-parseFloat(specAmt));
	
	
//	var currentAmt = parseFloat($(currentTr).find("td:eq(2) input:eq(0)").val()); //当前授权额度
//	var currentAmtOriginally = parseFloat($(currentTr).find("td:eq(2) input:eq(0)").attr("originally")); //当前授权额度
//	if(isNaN(currentAmtOriginally)) currentAmtOriginally = parseFloat($(currentTr).find("td:eq(2) input:eq(0)").val());
//	var changeAmt = parseFloat(currentAmtOriginally) - parseFloat(currentAmt);
//	
//	var remindAuthredAmtOriginally = remindAuthredAmtTd.attr("originally");
	
	//获取修改行之后的剩余授权额度
	
//	var ordAmts = new Array();      // 普通授权额度
//	var specAmts = new Array();     // 特殊授权额度
//	$("#context").find("tr").each(function(){
//		var authorizedType = "";
//	if($(this).is(".append")){
//		authorizedType = $(this).find("td:eq(1)").attr("code");     // 授权类型
//		var ramtTd = $(this).find("td:eq(5)");
//		var ramt = parseFloat($(ramtTd).html());
////		if(authorizedType == "01") ordAmts.push(isNaN(ramt)?0:ramt);    // 普通授权额度
////		if(authorizedType == "02") specAmts.push(isNaN(ramt)?0:ramt);  // 特殊授权额度
//		if(currentType == authorizedType){
//			if (parseFloat(remindAuthredAmtOriginally) > parseFloat(ramt)){
//				ramtTd.html( parseFloat(ramt) - parseFloat(changeAmt) );
//			}
//		}
//
//	}
//	if($(this).is(".newtr")){
//		authorizedType = $(this).find(".aut:eq(0)").attr("code");   // 授权类型
//		var ramtTd = $(this).find("td:eq(5)");
//		var ramt = parseFloat($(ramtTd).html());
////		if(authorizedType == "01") ordAmts.push(isNaN(ramt)?0:ramt);    // 普通授权额度
////		if(authorizedType == "02") specAmts.push(isNaN(ramt)?0:ramt);  // 特殊授权额度
//		if(currentType == authorizedType){
//			if (parseFloat(remindAuthredAmtOriginally) > parseFloat(ramt)){
//				ramtTd.html( parseFloat(ramt) - parseFloat(changeAmt) );
//			}
//		}
//	}
//	});
	
//	ordAmts.sort(function(a,b){return a<b?1:-1;});//从大到小排序
//	specAmts.sort(function(a,b){return a<b?1:-1;});//从大到小排序
	
	
	
	
	var authorizedAmtAfter = $(obj).val();
	var ipt = $(obj); 
	var remindAuthredAmtTd = ipt.parent().parent().children("td:eq(5)");  //剩余授权额度td
	var remindAuthredAmt = remindAuthredAmtTd.html();   //剩余授权额度
	
	//负数时控制：录入的授权额度的绝对值<=剩余授权额度；
	if(authorizedAmtAfter < 0) {
		if(Math.abs(parseFloat(authorizedAmtAfter)) > remindAuthredAmt){
			alert("授权额的绝对值不能大于剩余授权额度");
			ipt.css("background-color","#FF0033");
			ipt.css("color","#FFF");
			ipt.parent().parent().addClass("red-symbol");
			return;
		}
	}

	
	
	if(parseFloat(authorizedAmtAfter)>parseFloat(remindAuthredAmt)){
		alert("授权额度不能大于剩余授权额度！");
		ipt.css("background-color","#FF0033");
		ipt.css("color","#FFF");
		ipt.parent().parent().addClass("red-symbol");
		return;
	}else{
		ipt.css("color","#000000");
		ipt.css("background-color","#FFF");
		ipt.parent().parent().removeClass("red-symbol");
	}
	
	var remindAuthredAmtOriginally = remindAuthredAmtTd.attr("originally");
	
	remindAuthredAmtTd.html(parseFloat(remindAuthredAmtOriginally)-parseFloat(authorizedAmtAfter));
	
}


//更改授权额度控制
function validationAmt(obj){
	var ipt = $(obj);  
	ipt.parent().parent().addClass("xg");  //修改原因td
	var authorizedAmt = $(obj).val();  						// 更改后额度
	var authorizedAmtOriginally = $(obj).attr("originally");     // 更改前额度
	      					    // 当前输入框
	var remindAuthredAmtTd = ipt.parent().parent().children("td:eq(5)");  //剩余授权额度td
	var auType = ipt.parent().parent().children("td:eq(1)").attr("code");              //授权类型  01 普通 02 特殊
	var remindAuthredAmt = remindAuthredAmtTd.attr("originally");   //剩余授权额度
	var a = authorizedAmt;             // 修改后授权额度
	var b = authorizedAmtOriginally;   // 修改前授权额度
	var c = remindAuthredAmt;          // 修改前剩余授权额度
	
	if(c<=0){
		ssaa = true;
		alert("没有剩余授权额度！");
		ipt.val(0);
		return;
	}
	
//	var compareA = parseFloat(b) - parseFloat(c); // 授修改前授权额度-修改前剩余授权额度
	var compareA = function(){return parseFloat(b) - parseFloat(c) < 0 ? 0 : parseFloat(b) - parseFloat(c);};
	
	if(!(parseFloat(compareA) <= parseFloat(a) <= parseFloat(b))){
		ipt.css("background-color","#FF0033");
		ipt.css("color","#FFF");
		ipt.parent().parent().addClass("red-symbol");
		alert("授修改前授权额度-修改前剩余授权额度<=修改后授权额度<=修改前授权额度");
		ipt.focus();
	}else{
		ipt.css("color","#000000");
		ipt.css("background-color","#FFF");
		ipt.parent().parent().removeClass("red-symbol");
	}
	
	if(parseFloat(a)>parseFloat(b)){
		ipt.css("background-color","#FF0033");
		ipt.css("color","#FFF");
		ipt.parent().parent().addClass("red-symbol");
		alert("授权额度只能改小");
		ipt.focus();
	}else{
		ipt.css("color","#000000");
		ipt.css("background-color","#FFF");
		ipt.parent().parent().removeClass("red-symbol");
	}
	
	//修改后剩余授权额度
	var changeNo = parseFloat(b)-parseFloat(a);
	$(remindAuthredAmtTd).html(parseFloat(c) + parseFloat(changeNo));   //修改后剩余授权额度
	
	//修改前授权额度-修改前剩余授权额度<=修改后授权额度<=修改前授权额度；
	//授权额度变更，剩余授权额度、剩余普通总额度、剩余特殊总额度、总额度都联动修改
	
//	var surpSpecTotalAfter = 0;  //修改后剩余特殊总额度
//	var surpOrdTotalAfter = 0;   //修改后剩余普通总额度
	
	var ordAuAmt = 0;       // 普通授权额度
	var specAuAmt = 0;      // 特殊授权额度
	$("#context").find("tr").each(function(){
		var authorizedType = "";
		var remind = 0;
		if($(this).is(".append")){
			authorizedType = $(this).find("td:eq(1)").attr("code");     // 授权类型
			remind = $(this).find("td:eq(5)").attr("originally");   	// 剩余授权额度
			
			if(authorizedType == "01") ordAuAmt = parseFloat(ordAuAmt) + parseFloat($(this).find("td:eq(2) input:eq(0)").val());    // 普通授权额度
			if(authorizedType == "02") specAuAmt = parseFloat(specAuAmt) + parseFloat($(this).find("td:eq(2) input:eq(0)").val());  // 特殊授权额度

			//			if(authorizedType == "02"&&!isNaN(remind)){
//				$(this).find("td:eq(5)").html(parseFloat(remind) + parseFloat(changeNo));
//			}
//			if(authorizedType == "01"&&!isNaN(remind)){
//				$(this).find("td:eq(5)").html(parseFloat(remind) + parseFloat(changeNo));
//			}
			//如果类型和修改项相同，就修改剩余授权额度
			if(auType == authorizedType && !isNaN(remind))  $(this).find("td:eq(5)").html(parseFloat(remind) + parseFloat(changeNo));
		}
		if($(this).is(".newtr")){
			authorizedType = $(this).find(".aut:eq(0)").attr("code");   // 授权类型
			remind = $(this).find("td:eq(5)").attr("originally");   	// 剩余授权额度
			auAmt = $(this).find("td:eq(2) input:eq(0)").val();         // 授权额度
			
			if(authorizedType == "01") ordAuAmt = parseFloat(ordAuAmt) + parseFloat($(this).find("td:eq(2) input:eq(0)").val());    // 普通授权额度
			if(authorizedType == "02") specAuAmt = parseFloat(specAuAmt) + parseFloat($(this).find("td:eq(2) input:eq(0)").val());  // 特殊授权额度
			//如果类型和修改项相同，就修改剩余授权额度
			if(auType == authorizedType && !isNaN(remind))  $(this).find("td:eq(5)").html(parseFloat(remind) + parseFloat(changeNo));
		}
		
//		if(authorizedType == "02"&&!isNaN(remind)){
//			surpSpecTotalAfter = parseFloat(surpSpecTotalAfter) + parseFloat(remind);
//			
//		}
//		if(authorizedType == "01"&&!isNaN(remind)){
//			surpOrdTotalAfter = parseFloat(surpOrdTotalAfter) + parseFloat(remind);
//		}
	});
	
//	$("#surpTotal").html(parseFloat(ordAuAmt) + parseFloat(specAuAmt));   // 赋值最新剩余总额度
	
//	$("#surpTotal").html(parseFloat(surpSpecTotalAfter)+parseFloat(surpOrdTotalAfter));   		     // 赋值最新剩余总额度
	
//	if(auType == "02") $("#surpSpecTotal").html(ordAuAmt);            // 赋值剩余特殊总额度
//	if(auType == "01") $("#surpOrdTotal").html(specAuAmt);            // 赋值剩余普通总额度
	
//	$("#surpSpecTotal").html(surpSpecTotalAfter);            // 赋值剩余特殊总额度
//	$("#surpOrdTotal").html(surpOrdTotalAfter);             // 赋值剩余普通总额度
//	$("#newtr .newtr-surp:eq(0)").html($("#surpOrdTotal").html());
//	$("#newtr .newtr-surp:eq(0)").attr("originally",$("#surpOrdTotal").html());
}




function saveQuery(){
	$("#context").empty();
	
	var policyNo = $("#policy-no").val();
	var pid = $("#person-id").val();
	
	if(policyNo==""||pid==""){
		alert("保单号和被保人身份证号必填");
		return;
	}
	
	$.ajax({
		type:"POST",
		url:rootPath+currPath+"query.do",
		data:{"policyNo":policyNo,"pid":pid},
		async:true,
		error:function(){
			alert("查询出错！");
		},
		success:function(data){
			if(data.appno==""||data.appno==null){
				alert("没有匹配的信息！");
				return;
			}
			//团体保单信息/被保人信息
			$("#appno").html(data.appno);                   //团体保单号
			$("#sappname").html(data.sappname);             //投保单位名称
			$("#surpTotal").html(data.surpTotal);           //公共保额剩余总额度
			$("#surpOrdTotal").html(data.surpOrdTotal);     //公共保额剩余普通总额度
			$("#surpSpecTotal").html(data.surpSpecTotal);   //公共保额剩余特殊总额度
			$("#insuredName").html(data.insuredName);       //姓名
			$("#sex").html(data.sex);                       //性别
			$("#idType").html(data.idType);                 //证件类型
			$("#ps-id").html(data.pid);                     //证件号码
			$("#phone").html(data.phone);                   //移动电话
			$("#telephone").html(data.telephone);           //固定电话
			$("#address").html(data.address);               //联系地址
			$("#postCode").html(data.postCode);             //邮政编码
			$("#email").html(data.email);                   //邮箱地址
			
			//公共保额个人授权信息
			var aus = data.authorizedList;
			
			for ( var i = 0; i < aus.length; i++) {
				var xstr = "";
				if(aus[i].authorizedMemo!=null) xstr = aus[i].authorizedMemo;
				$("#context").append("<tr class=\"append\">" +
							"<td>"+aus[i].authorizedNo+"</td>" +
							"<td code="+aus[i].authorizedType+">"+aus[i].typeStr+"</td>" +
							"<td>"+aus[i].authorizedAmt+"</td>" +
							"<td>"+aus[i].begdate+"</td>" +
							"<td>"+aus[i].stopdate+"</td>" +
							"<td originally=\""+aus[i].remindAuthredAmt+"\" >"+aus[i].remindAuthredAmt+"</td>" +
							"<td><input type=\"text\" class=\"input i_s_100\" value=\""+xstr+"\" /></td>" +
						  "</tr>");
			}
		}
	});
}

